dns:
  nameserver-policy:
    dns.alidns.com: quic://223.5.5.5:853
    dot.pub: 119.29.29.29
    doh.pub: 119.29.29.29
    dns.pub: 119.29.29.29
    doh.360.cn: 101.198.198.198
    rule-set:mihomo_nameserver_policy_alibaba: quic://dns.alidns.com:853
    rule-set:mihomo_nameserver_policy_tencent: https://doh.pub/dns-query
    rule-set:mihomo_nameserver_policy_bilibili: https://doh.pub/dns-query
    rule-set:mihomo_nameserver_policy_xiaomi: https://doh.pub/dns-query
    rule-set:mihomo_nameserver_policy_bytedance: 180.184.2.2
    rule-set:mihomo_nameserver_policy_baidu: 180.76.76.76
    rule-set:mihomo_nameserver_policy_qihoo360: https://doh.360.cn/dns-query
    rule-set:mihomo_nameserver_policy_hotspot_captive_portal: system
    "*.m2m": system
    injections.adguard.org: system
    local.adguard.org: system
    "*.bogon": system
    rule-set:mihomo_nameserver_policy_lan_without_real_ip: system
    rule-set:mihomo_nameserver_policy_lan_with_realip: system
rule-providers:
  mihomo_nameserver_policy_alibaba:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_alibaba.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/alibaba.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_tencent:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_tencent.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/tencent.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_bilibili:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_bilibili.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/bilibili.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_xiaomi:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_xiaomi.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/xiaomi.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_bytedance:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_bytedance.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/bytedance.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_baidu:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_baidu.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/baidu.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_qihoo360:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_qihoo360.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/qihoo360.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_hotspot_captive_portal:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_hotspot_captive_portal.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/hotspot_captive_portal.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_lan_without_real_ip:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_lan_without_real_ip.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/lan_without_real_ip.txt
    behavior: classical
    format: text
    interval: 43200
  mihomo_nameserver_policy_lan_with_realip:
    type: http
    path: ./sukkaw_ruleset/mihomo_nameserver_policy_lan_with_realip.txt
    url: https://ruleset.skk.moe/Internal/mihomo_nameserver_policy/lan_with_realip.txt
    behavior: classical
    format: text
    interval: 43200
hosts:
  dns.alidns.com:
    - 223.5.5.5
    - 223.6.6.6
    - 2400:3200:baba::1
    - 2400:3200::1
  127.0.0.1.sslip.io: 127.0.0.1
  127.atlas.skk.moe: 127.0.0.1
  cdn.jsdelivr.net: cdn.jsdelivr.net.cdn.cloudflare.net

